<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns="http://www.ote-cr.cz/schema/sfvot/settings" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" targetNamespace="http://www.ote-cr.cz/schema/sfvot/settings" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xs:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="./xmldsig-core-schema.xsd"/>
	<xs:element name="SFVOTSETTINGS">
		<xs:annotation>
			<xs:documentation xml:lang="CS">Požadavek na změna limitu</xs:documentation>
			<xs:documentation xml:lang="EN">The request for the limit change</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xs:annotation>
						<xs:documentation xml:lang="CS">Identifikace odesilatele zpravy, tzn. OTE, a.s.</xs:documentation>
						<xs:documentation xml:lang="EN">EAN13 Sender identification - OTE, a.s.</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xs:annotation>
						<xs:documentation xml:lang="CS">Identifikace prijemce, resp. odesilatele pozadavku</xs:documentation>
						<xs:documentation xml:lang="EN">Message receiver identification</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="Reference" type="ote:ReferenceType" minOccurs="0">
					<xs:annotation>
						<xs:documentation xml:lang="CS">Reference na předešlou zprávu. Pokud není element obsažen v cílovém XML nebyl report generován na základě XML požadavku.</xs:documentation>
						<xs:documentation xml:lang="EN">Reference to the previous message, if any.</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="Setting" minOccurs="1" maxOccurs="1">
					<xs:annotation>
						<xs:documentation xml:lang="CS">Hlavní zapouzdřující datový element</xs:documentation>
						<xs:documentation xml:lang="EN">The main data element to wrap</xs:documentation>
					</xs:annotation>
					<xs:complexType>
						<xs:sequence>
							<xs:element name="Limit" minOccurs="0" maxOccurs="unbounded">
								<xs:annotation>
									<xs:documentation xml:lang="CS">Hlavní element limitu</xs:documentation>
									<xs:documentation xml:lang="EN">The main limit element</xs:documentation>
								</xs:annotation>
								<xs:complexType>
									<xs:attribute name="type">
										<xs:annotation>
											<xs:documentation>Typ limitu</xs:documentation>
											<xs:documentation>The limit type</xs:documentation>
										</xs:annotation>
										<xs:simpleType>
											<xs:restriction base="xs:string">
												<xs:enumeration value="VDT/VT"/>
											</xs:restriction>
										</xs:simpleType>
									</xs:attribute>
									<xs:attribute name="value" type="xs:decimal">
										<xs:annotation>
											<xs:documentation xml:lang="CS">Nová hodnota pro daný limit v CZK</xs:documentation>
											<xs:documentation xml:lang="EN">New value of the limit [CZK]</xs:documentation>
										</xs:annotation>
									</xs:attribute>
								</xs:complexType>
							</xs:element>
							<xs:element ref="ds:Signature" minOccurs="0"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
			</xs:sequence>
			<xs:attribute name="answer-required" type="xs:boolean" use="required">
				<xs:annotation>
					<xs:documentation xml:lang="CS">Indikace požadavku na odpověď</xs:documentation>
					<xs:documentation xml:lang="EN">Indication of request for response 1=YES, 0=NO</xs:documentation>
				</xs:annotation>
			</xs:attribute>
			<xs:attribute name="date-time" type="xs:dateTime" use="required">
				<xs:annotation>
					<xs:documentation xml:lang="CS">Datum a čas zprávy</xs:documentation>
					<xs:documentation xml:lang="EN">Date and time of message</xs:documentation>
				</xs:annotation>
			</xs:attribute>
			<xs:attribute name="dtd-release" type="xs:string" use="required" fixed="1">
				<xs:annotation>
					<xs:documentation xml:lang="CS">Rezervováno pro příští verze. Zatím konstanta '1'</xs:documentation>
					<xs:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xs:documentation>
				</xs:annotation>
			</xs:attribute>
			<xs:attribute name="dtd-version" type="xs:unsignedByte" use="required" fixed="1">
				<xs:annotation>
					<xs:documentation xml:lang="CS">Rezervováno pro příští verze. Zatím konstanta '1'</xs:documentation>
					<xs:documentation xml:lang="EN">Reserved for incoming versions; so far a constant '1'</xs:documentation>
				</xs:annotation>
			</xs:attribute>
			<xs:attribute name="id" type="ote:msg-id" use="required">
				<xs:annotation>
					<xs:documentation xml:lang="CS">Identifikátor zprávy</xs:documentation>
					<xs:documentation xml:lang="EN">Message Identification</xs:documentation>
				</xs:annotation>
			</xs:attribute>
			<xs:attribute name="message-code" use="required">
				<xs:annotation>
					<xs:documentation xml:lang="CS">Kód zprávy upřesňující obsah zprávy.</xs:documentation>
					<xs:documentation xml:lang="EN">Message code that specifies the message content.</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:enumeration value="481">
							<xs:annotation>
								<xs:documentation xml:lang="CS">Požadevk na změnu limitu - data</xs:documentation>
								<xs:documentation xml:lang="EN">The request for the limit change - data</xs:documentation>
							</xs:annotation>
						</xs:enumeration>
					</xs:restriction>
				</xs:simpleType>
			</xs:attribute>
		</xs:complexType>
	</xs:element>
</xs:schema>
